Diligent Engine API Reference: Diligent::RenderTargetBlendDesc Struct Reference

Diligent Engine API Reference

Public Member Functions | Public Attributes | List of all members
Diligent::RenderTargetBlendDesc Struct Reference

Describes a blend state for a single render target. More...

## Public Member Functions
| RenderTargetBlendDesc ()
| Constructor initializes structure members with default values. More...
bool | operator== (const RenderTargetBlendDesc &rhs) const
| Comparison operator tests if two structures are equivalent. More...

## Public Attributes
Bool | BlendEnable
| Enable or disable blending for this render target.
Bool | LogicOperationEnable
| Enable or disable a logical operation for this render target.
BLEND_FACTOR | SrcBlend
| Specifies the blend factor to apply to the RGB value output from the pixel shader.
BLEND_FACTOR | DestBlend
| Specifies the blend factor to apply to the RGB value in the render target.
BLEND_OPERATION | BlendOp
| Defines how to combine the source and destination RGB values after applying the SrcBlend and DestBlend factors.
BLEND_FACTOR | SrcBlendAlpha
| Specifies the blend factor to apply to the alpha value output from the pixel shader. Blend factors that end in _COLOR are not allowed.
BLEND_FACTOR | DestBlendAlpha
| Specifies the blend factor to apply to the alpha value in the render target. Blend factors that end in _COLOR are not allowed.
BLEND_OPERATION | BlendOpAlpha
| Defines how to combine the source and destination alpha values after applying the SrcBlendAlpha and DestBlendAlpha factors.
LOGIC_OPERATION | LogicOp
| Defines logical operation for the render target.
Uint32 | RenderTargetWriteMask
| Render target write mask.

## Detailed Description

Describes a blend state for a single render target.

This structure is used by BlendStateDesc to describe blend states for render targets

## Constructor & Destructor Documentation

## ◆ RenderTargetBlendDesc()

Diligent::RenderTargetBlendDesc::RenderTargetBlendDesc | ( |  | ) |
| inline

Constructor initializes structure members with default values.

Member | Default va
--- | ---
BlendEnable | False
LogicOperationEnable | False
SrcBlend | Diligent::BLEND_FACTOR_ONE
DestBlend | Diligent::BLEND_FACTOR_ZERO
BlendOp | Diligent::BLEND_OPERATION_ADD
SrcBlendAlpha | Diligent::BLEND_FACTOR_ONE
DestBlendAlpha | Diligent::BLEND_FACTOR_ZERO
BlendOpAlpha | Diligent::BLEND_OPERATION_ADD
LogicOp | Diligent::LOGIC_OP_NOOP
RenderTargetWriteMask | Diligent::COLOR_MASK_ALL

## Member Function Documentation

## ◆ operator==()

bool Diligent::RenderTargetBlendDesc::operator== | ( | const RenderTargetBlendDesc & | rhs | ) | const
| inline

Comparison operator tests if two structures are equivalent.

Parameters

  [in] | rhs | - reference to the structure to perform comparison with

Returns
  - True if all members of the two structures are equal.
  - False otherwise